Subject: Re: [PATCH 3/3] git-svn: Reduce temp file usage when dealing with non-links

From: Marcus Griep <[email-masked]>
Date: Tue, 12 Aug 2008 11:53:38 -0400

Eric Wong wrote:
> Sweet optimization!  Thanks!

I'm glad to have found something significant.

> One thing, again, can you please make sure things don't exceed
> 80-columns when using 8 character-wide tabs?
> 
> I'm not sure how much it matters to the guys maintaining Git.pm, but
> that's the standard for here and the Linux kernel (although it
> unfortunately seems to have gotten more lax in recent years...).
> 
> Larger monitors can't help me because I use big fonts that would require
> me to move my neck or eyes to see across the screen, leading to more eye
> and neck strain (I have a bad neck).  I very much wish ANSI had
> standardized on something even smaller, perhaps 64-char wide terminals
> :)

I added a regex to the standard pre-commit hook to check line length, and
now it is working properly, even with tabs.  If people are interested, I
could submit a patch for the standard pre-commit hook that includes a line
length check.

Overall, expect new patches to be sent in reply to each email as version 2's.

-- 
Marcus Griep
GPG Key ID: 0x5E968152
——
http://www.boohaunt.net
את.ψο´